<div class="header-services">
  <h6>Email для копии ежедневных писем</h6>
  <mat-form-field class="email-service">
    <input  matInput placeholder="Email" [value]="ownerEmail"
           [formControl]="emailForm1" (keyup)="checkChangeOwnerEmail(ownerEmail)">
  </mat-form-field>
</div>

<div class="header-services">
  <h5>Контрагенты:</h5>
</div>
<mat-accordion>
  <mat-expansion-panel hideToggle="true" *ngFor="let service of services">
    <mat-expansion-panel-header>
      <span class="name-exp">{{service.name}}</span>
      <button class="name-btn" mat-button color="warn" (click)="deleteServiceDialog(service.id)">Удалить</button>
    </mat-expansion-panel-header>
    <mat-form-field class="email-service">
      <input *ngIf="service.email" matInput placeholder="Email контрагента" [value]="service.email"
             [formControl]="emailForm" (keyup)="checkChange(service)">
      <input *ngIf="!service.email" matInput placeholder="Email контрагента" [value]=""
             [formControl]="emailForm" (keyup)="checkChange(service)">
    </mat-form-field>
    <div class="tag" *ngIf="service.categories.length>0">
      <h5>Категории:</h5>
    </div>
    <mat-accordion>
      <mat-expansion-panel class="category" *ngFor="let category of service.categories">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <span class="name-exp">{{category.name}}</span>
            <button class="name-btn" mat-button color="warn" (click)="deleteCategoryDialog(service.id, category.id)">
              Удалить
            </button>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <div class="tag">
          <h5>Группы работ:</h5>
        </div>
        <mat-accordion>
          <mat-expansion-panel class="group-work" *ngFor="let groupWork of category.groupsWork">
            <mat-expansion-panel-header>
              <mat-panel-title>
                <span class="name-exp">{{groupWork.name}}</span>
                <button class="name-btn" mat-button color="warn"
                        (click)="deleteGroupWorkDialog(service.id, category.id, groupWork.id)">Удалить
                </button>
              </mat-panel-title>
            </mat-expansion-panel-header>
            <div class="tag work-tag">
              <h5>Работы:</h5>
            </div>
            <mat-card class="work">
              <table>
                <tr>
                  <th class="name">Название</th>
                  <th>Норматив времени (мин)</th>
                  <th>Макс цена (руб.)</th>
                  <th>Мин цена (руб.)</th>
                  <th>Нижний порог времени (час)</th>
                  <th>Верхний порог времени (час)</th>
                  <th></th>
                </tr>
                <tr *ngFor="let work1 of groupWork.works">
                  <td class="name">
                    <mat-form-field class="long-input">
                      <input disabled matInput [value]="work1.name">
                    </mat-form-field>
                  </td>
                  <td>
                    <mat-form-field class="short-input">
                      <input disabled matInput [value]="work1.defaultTime">
                    </mat-form-field>
                  </td>
                  <td>
                    <mat-form-field class="short-input">
                      <input disabled matInput [value]="work1.cost">
                    </mat-form-field>
                  </td>
                  <td>
                    <mat-form-field class="short-input">
                      <input disabled matInput [value]="work1.cost_work">
                    </mat-form-field>
                  </td>
                  <td>
                    <mat-form-field class="short-input">
                      <input disabled *ngIf="work1.availableFrom" matInput [value]="work1.availableFrom">
                      <input disabled *ngIf="!work1.availableFrom" matInput [value]="">
                    </mat-form-field>
                  </td>
                  <td>
                    <mat-form-field class="short-input">
                      <input disabled *ngIf="work1.availableFrom" matInput [value]="work1.availableTo">
                      <input disabled *ngIf="!work1.availableFrom" matInput [value]="">
                    </mat-form-field>
                  </td>
                  <td>
                    <button class="name-btn" mat-button color="warn"
                            (click)="deleteWorkInGroupDialog(service.id, category.id, groupWork.id, work1.id)">Удалить
                    </button>
                  </td>
                </tr>
              </table>
            </mat-card>
            <button class="button-work" mat-raised-button
                    (click)="addWorkInGroupDialog(service.id, category.id, groupWork.id)">Добавить работу
            </button>
          </mat-expansion-panel>
        </mat-accordion>
        <button mat-raised-button color="primary" (click)="addGroupWorkDialog(service.id, category.id)">Добавить группу
          работ
        </button>
      </mat-expansion-panel>
      <button mat-raised-button color="primary" (click)="addCategoryDialog(service.id)">Добавить категорию</button>
    </mat-accordion>
  </mat-expansion-panel>
</mat-accordion>
<div class="down-cont">
  <button class="down-button" mat-raised-button color="primary" (click)="addServiceDialog()">Добавить контрагента
  </button>
  <button class="down-button green" [disabled]="!isChange" mat-raised-button (click)="save()">Сохранить изменения
  </button>
</div>
